(defun c:BLOCKDREHEN (/ block blockname blockwinkel #bloecke z BLK nw)
  (command "_.undo" "_G")
  (setq	block (entsel "\nVORGABEBLOCK WHLEN:")
	block (if block
		(car block)
	      )
  )
  (if (and block
	   (= "INSERT" (cdr (assoc 0 (entget block))))
      )
    (setq blockname   (cdr (assoc 2 (entget block)))
	  blockwinkel (* (/ (cdr (assoc 50 (entget block))) pi) 180.0)
	  #bloecke    (ssget "x" (list (cons 0 "INSERT") (cons 2 blockname)))
	  z	      0
    )
  )
  (if #bloecke
    (progn
      (princ (sslength #bloecke))
      (repeat (sslength #bloecke)
	(setq block (entget (setq BLK (ssname #bloecke z)))
	      z	    (1+ z)
	      nw    (* (/ (cdr (assoc 50 block)) pi) 180.0)
	)
	(command "_.rotate"
		 BLK
		 ""
		 (cdr (assoc 10 block))
		 "B"
		 nw
		 blockwinkel
	)
      )
    )
  )
  (command "_.undo" "_E")
)
(princ "\n(defun - Lisp over night!")
(princ "\nHolger Brischke")
(princ "\nhttp://www.defun.de --- mailto:kontakt@defun.de")
(princ "\nStart mit \"BLOCKDREHEN\"")